# Uses of Interface
org.eclipse.birt.chart.model.component.Grid

Packages that use Grid
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of Grid in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Grid
Modifier and Type
Method
Description
`Grid`
Grid.`copyInstance()`
`Grid`
ComponentFactory.`createGrid()`
Returns a new object of class 'Grid'.
`Grid`
Axis.`getMajorGrid()`
Returns the value of the 'Major Grid' containment reference.
`Grid`
Dial.`getMajorGrid()`
Returns the value of the 'Major Grid' containment reference.
`Grid`
Axis.`getMinorGrid()`
Returns the value of the 'Minor Grid' containment reference.
`Grid`
Dial.`getMinorGrid()`
Returns the value of the 'Minor Grid' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Grid
Modifier and Type
Method
Description
`void`
Axis.`setMajorGrid(Grid value)`
Sets the value of the '`Major Grid`' containment reference.
`void`
Dial.`setMajorGrid(Grid value)`
Sets the value of the '`Major Grid`' containment reference.
`void`
Axis.`setMinorGrid(Grid value)`
Sets the value of the '`Minor Grid`' containment reference.
`void`
Dial.`setMinorGrid(Grid value)`
Sets the value of the '`Minor Grid`' containment reference.

## Uses of Grid in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Grid
Modifier and Type
Class
Description
`class`
`GridImpl`
An implementation of the model object ' Grid'.
Methods in org.eclipse.birt.chart.model.component.impl that return Grid
Modifier and Type
Method
Description
`Grid`
GridImpl.`copyInstance()`
`static Grid`
GridImpl.`create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static Grid`
GridImpl.`createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`Grid`
ComponentFactoryImpl.`createGrid()`
`Grid`
AxisImpl.`getMajorGrid()`
`Grid`
DialImpl.`getMajorGrid()`
`Grid`
AxisImpl.`getMinorGrid()`
`Grid`
DialImpl.`getMinorGrid()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Grid
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
DialImpl.`basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setMajorGrid(Grid newMajorGrid)`
`void`
DialImpl.`setMajorGrid(Grid newMajorGrid)`
`void`
AxisImpl.`setMinorGrid(Grid newMinorGrid)`
`void`
DialImpl.`setMinorGrid(Grid newMinorGrid)`